Package ru.bitel.bgbilling.modules.npay.server.event

# Class DebetStatusManageOpenGetAdditionalCharge

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.npay.server.event.DebetStatusManageOpenGetAdditionalCharge

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class DebetStatusManageOpenGetAdditionalCharge
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

Синхронное событие - запрос дополнительного расхода либо замещающей суммы.
Событие генерируется при открытии договора в режиме debet.npay.status.manage=1. Унаследован от `LocalEvent`

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `MODE_ADD` | режим дополнительного платежа
  `static int` | `MODE_REPLACE` | режим замещения суммы

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `DebetStatusManageOpenGetAdditionalCharge()` |
  `` | `DebetStatusManageOpenGetAdditionalCharge​(int mid, int cid)` | Конструктор события.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Map<java.lang.Integer,​java.util.Map<java.lang.String,​java.lang.String>>` | `getConfigList()` | Мап по cid мапов пар строк
  `java.math.BigDecimal` | `getCurrentAccount()` |
  `java.math.BigDecimal` | `getCurrentBalance()` |
  `java.math.BigDecimal` | `getLimit()` |
  `int` | `getMode()` | Возвращает режим `MODE_ADD` либо `MODE_REPLACE`.
  `java.math.BigDecimal` | `getPlanAccount()` |
  `java.math.BigDecimal` | `getResult()` |
  `java.math.BigDecimal` | `getSumma()` | Возвращает сумму, если появилась в событии после обработки - учитываются биллингом.
  `void` | `setConfigList​(java.util.Map<java.lang.Integer,​java.util.Map<java.lang.String,​java.lang.String>> configList)` |
  `void` | `setCurrentAccount​(java.math.BigDecimal currentAccount)` |
  `void` | `setCurrentBalance​(java.math.BigDecimal currentBalance)` |
  `void` | `setLimit​(java.math.BigDecimal limit)` |
  `void` | `setMode​(int mode)` | Установка режима, 1 либо 2.
  `void` | `setPlanAccount​(java.math.BigDecimal planAccount)` |
  `void` | `setResult​(java.math.BigDecimal result)` |
  `void` | `setSumma​(java.math.BigDecimal charge)` | Устанавливает сумму дополнительного расхода или замещающего расхода, вызывается скриптом.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODE_ADD

    public static final int MODE_ADD
    режим дополнительного платежа
    See Also:
      Constant Field Values

  - ### MODE_REPLACE

    public static final int MODE_REPLACE
    режим замещения суммы
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### DebetStatusManageOpenGetAdditionalCharge

    protected DebetStatusManageOpenGetAdditionalCharge()

  - ### DebetStatusManageOpenGetAdditionalCharge

    public DebetStatusManageOpenGetAdditionalCharge​(int mid, int cid)
    Конструктор события.
    Parameters:
      `mid` - - код модуля
      `cid` - - код договора

- ## Method Details

  - ### getMode

    public int getMode()
    Возвращает режим `MODE_ADD` либо `MODE_REPLACE`.
    Returns:

  - ### setMode

    public void setMode​(int mode)
    Установка режима, 1 либо 2.
    Parameters:
      `mode` - - режим

  - ### getSumma

    public java.math.BigDecimal getSumma()
    Возвращает сумму, если появилась в событии после обработки - учитываются биллингом.
    Returns:

  - ### setSumma

    public void setSumma​(java.math.BigDecimal charge)
    Устанавливает сумму дополнительного расхода или замещающего расхода, вызывается скриптом.
    Parameters:
      `charge` - - доп. расход

  - ### getCurrentBalance

    public java.math.BigDecimal getCurrentBalance()
    Returns:
      текущий баланс

  - ### setCurrentBalance

    public void setCurrentBalance​(java.math.BigDecimal currentBalance)
    Parameters:
      `currentBalance` - текущий баланс

  - ### getLimit

    public java.math.BigDecimal getLimit()
    Returns:
      лимит

  - ### setLimit

    public void setLimit​(java.math.BigDecimal limit)
    Parameters:
      `limit` - лимит

  - ### getCurrentAccount

    public java.math.BigDecimal getCurrentAccount()
    Returns:
      текущая наработка

  - ### setCurrentAccount

    public void setCurrentAccount​(java.math.BigDecimal currentAccount)
    Parameters:
      `currentAccount` - текущая наработка

  - ### getPlanAccount

    public java.math.BigDecimal getPlanAccount()
    Returns:
      планируемая наработка

  - ### setPlanAccount

    public void setPlanAccount​(java.math.BigDecimal planAccount)
    Parameters:
      `planAccount` - планируемая наработка

  - ### getConfigList

    public java.util.Map<java.lang.Integer,​java.util.Map<java.lang.String,​java.lang.String>> getConfigList()
    Мап по cid мапов пар строк
    Returns:

  - ### setConfigList

    public void setConfigList​(java.util.Map<java.lang.Integer,​java.util.Map<java.lang.String,​java.lang.String>> configList)
    Parameters:
      `configList` - Мап по cid мапов пар строк

  - ### getResult

    public java.math.BigDecimal getResult()
    Returns:
      текущая сумма для разблокировки

  - ### setResult

    public void setResult​(java.math.BigDecimal result)
    Parameters:
      `result` - текущая сумма для разблокировки